import org.junit.Assert;
import org.junit.Test;

public class FizzBuzzTest {

    @Test
    public void divisibleBy3 (){

        FizzBuzz testFB = new FizzBuzz();
        int number = 3;
        String expected = "Fizz";

        String actual = testFB.FizzBuzz(number);
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void divisibleBy5 (){

        FizzBuzz testFB = new FizzBuzz();
        int number = 5;
        String expected = "Buzz";

        String actual = testFB.FizzBuzz(number);
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void divisibleBy3And5 (){

        FizzBuzz testFB = new FizzBuzz();
        int number = 15;
        String expected = "FizzBuzz";

        String actual = testFB.FizzBuzz(number);
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void notDivisible3Or5(){

        FizzBuzz testFB = new FizzBuzz();
        int number = 13;
        String expected = "13";

        String actual = testFB.FizzBuzz(number);
        Assert.assertEquals(expected,actual);
    }

}
